package jbmf.parser.constants;


public class InvalidConstant extends Constant {

    public InvalidConstant(byte[] data) {
        super(data);
    }

    @Override
    public int getTag() {
        return CONSTANT_INVALID;
    }

    @Override
    public int getSize() {
        return CONSTANT_INVALID_SIZE;
    }

    @Override
    public void pack() {
        assert false;
    }

    @Override
    public String toString() {
        return "[InvalidConstant]";
    }

}
