package jbmf.tests;

import jbmf.parser.*;
import jbmf.parser.Class;
import jbmf.parser.constants.Constant;
import jbmf.utils.TimingUtil;

public class ClassReaderTest {

    public static final int TEST_AMOUNT = 1;

    public static void main(String[] args) {
        new ClassReaderTest().run();
    }

    public void run() {
        TimingUtil timing = new TimingUtil("Class reader");

        for(int i = 0; i < TEST_AMOUNT; i++) {
            timing.start();
            Class clazz = ClassReader.get("out/production/JBMF/jbmf/tests/ClassReaderTestClass.class");
            timing.stop();
            clazz.getConstPool().dump();
        }

        timing.feedback();
    }

}
