package jbmf.parser.constants;

public interface Constants {

    int CONSTANT_INVALID = -1;
    int CONSTANT_INVALID_SIZE = -1;

    int CONSTANT_CLASS = 7;
    int CONSTANT_CLASS_SIZE = 2;

    int CONSTANT_FIELDREF = 9;
    int CONSTANT_FIELDREF_SIZE = 4;

    int CONSTANT_METHODREF = 10;
    int CONSTANT_METHODREF_SIZE = 4;

    int CONSTANT_IFACEMTHODREF = 11;
    int CONSTANT_IFACEMETHODREF_SIZE = 4;

    int CONSTANT_STRING = 8;
    int CONSTANT_STRING_SIZE = 2;

    int CONSTANT_INTEGER = 3;
    int CONSTANT_INTEGER_SIZE = 4;

    int CONSTANT_FLOAT = 4;
    int CONSTANT_FLOAT_SIZE = 4;

    int CONSTANT_LONG = 5;
    int CONSTANT_LONG_SIZE = 8;

    int CONSTANT_DOUBLE = 6;
    int CONSTANT_DOUBLE_SIZE = 8;

    int CONSTANT_NAMEANDTYPE = 12;
    int CONSTANT_NAMEANDTYPE_SIZE = 4;

    int CONSTANT_UTF8 = 1;
    int CONSTANT_UTF8_SIZE = 1;

    int CONSTANT_METHODHANDLE = 15;
    int CONSTANT_METHODHANDLE_SIZE = 2;

    int CONSTANT_METHODTYPE = 16;
    int CONSTANT_METHODTYPE_SIZE = 2;

    int CONSTANT_INVOKEDYNAMIC = 18;
    int CONSTANT_INVOKEDYNAMIC_SIZE = 4;
}
